# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client
Class Query.CustomParameter

    java.lang.Object
      com.google.gdata.client.Query.CustomParameter

Enclosing class:
  Query

    public static class Query.CustomParameter

extends java.lang.Object

The CustomParameter class defines a base representation for custom query parameters.

Constructor Summary
`Query.CustomParameter(java.lang.String name, java.lang.String value)` Constructs a new custom parameter with the specified name/value pair.

Method Summary
`java.lang.String` `getName()` Returns the name of the custom parameter.
`java.lang.String` `getValue()` Returns the value of the custom parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Query.CustomParameter

    public Query.CustomParameter(java.lang.String name,
                                 java.lang.String value)

  Constructs a new custom parameter with the specified name/value pair.

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the custom parameter.

### getValue

    public java.lang.String getValue()

  Returns the value of the custom parameter.